org.keycloak.protocol.docker

## Class DockerAuthenticator

- java.lang.Object
- - org.keycloak.protocol.saml.profile.ecp.authenticator.HttpBasicAuthenticator
  - - org.keycloak.protocol.docker.DockerAuthenticator

- All Implemented Interfaces:
    Authenticator, Provider

      public class DockerAuthenticator
      extends HttpBasicAuthenticator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockerAuthenticator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `configuredFor(KeycloakSession session, RealmModel realm, UserModel user)` Is this authenticator configured for this user.
    `protected void` | `notValidCredentialsAction(AuthenticationFlowContext context, RealmModel realm, UserModel user)`
    `protected void` | `nullUserAction(AuthenticationFlowContext context, RealmModel realm, String userId)`
    `protected void` | `userDisabledAction(AuthenticationFlowContext context, RealmModel realm, UserModel user, String eventError)`

    - ### Methods inherited from class org.keycloak.protocol.saml.profile.ecp.authenticator.HttpBasicAuthenticator

      `action, authenticate, close, requiresUser, setRequiredActions, userSuccessAction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.Authenticator

      `areRequiredActionsEnabled, getRequiredActions`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DockerAuthenticator

          public DockerAuthenticator()

  - ### Method Detail

    - #### notValidCredentialsAction

          protected void notValidCredentialsAction(AuthenticationFlowContext context,
                                                   RealmModel realm,
                                                   UserModel user)

      Overrides:
        `notValidCredentialsAction` in class `HttpBasicAuthenticator`

    - #### nullUserAction

          protected void nullUserAction(AuthenticationFlowContext context,
                                        RealmModel realm,
                                        String userId)

      Overrides:
        `nullUserAction` in class `HttpBasicAuthenticator`

    - #### userDisabledAction

          protected void userDisabledAction(AuthenticationFlowContext context,
                                            RealmModel realm,
                                            UserModel user,
                                            String eventError)

      Overrides:
        `userDisabledAction` in class `HttpBasicAuthenticator`

    - #### configuredFor

          public boolean configuredFor(KeycloakSession session,
                                       RealmModel realm,
                                       UserModel user)

      Description copied from interface: `Authenticator`
      Is this authenticator configured for this user.
      Specified by:
        `configuredFor` in interface `Authenticator`
      Overrides:
        `configuredFor` in class `HttpBasicAuthenticator`
      Returns:

Copyright © 2020 JBoss by Red Hat. All rights reserved.